summaryrefslogtreecommitdiff
path: root/make-tarball.sh
diff options
context:
space:
mode:
authorGerald Carter <jerry@samba.org>2003-08-22 16:57:00 +0000
committerGerald Carter <jerry@samba.org>2003-08-22 16:57:00 +0000
commit16712a4c0df00abc413cd39e1b270b2bdb0a224a (patch)
tree637724372b617397df9f5f2824352877b72fe454 /make-tarball.sh
parent75ac8c17c0e5d2624fc9db82d1b501f906cbfa39 (diff)
downloadsamba-16712a4c0df00abc413cd39e1b270b2bdb0a224a.tar.gz
samba-16712a4c0df00abc413cd39e1b270b2bdb0a224a.tar.bz2
samba-16712a4c0df00abc413cd39e1b270b2bdb0a224a.zip
add a quick script to create a tarball for CVS snapshots
(This used to be commit 9ef4abcd490c3343069d7cbf5752dec212530d4f)
Diffstat (limited to 'make-tarball.sh')
-rw-r--r--make-tarball.sh40
1 files changed, 40 insertions, 0 deletions
diff --git a/make-tarball.sh b/make-tarball.sh
new file mode 100644
index 0000000000..4bcc5f93b1
--- /dev/null
+++ b/make-tarball.sh
@@ -0,0 +1,40 @@
+#!/bin/sh
+
+## A simple script to build a tarball of the current CVS tree.
+## You either need to include the using_samba cvs module in the
+## parent directory or tell the script where to find it
+##
+## Usgae: ./make-tarball.sh
+
+USING_SAMBA=../using_samba/
+SRCDIR=`pwd`
+
+if [ ! -d $USING_SAMBA ]; then
+
+ echo Cannot find "Using Samba" directory \(assuming $USING_SAMBA\).
+ echo Please set the USING_SAMBA variable in this script to the correct
+ echo location. The html files are available in the using_samba CVS
+ echo module on cvs.samba.org. See http://cvs/samba.org/ for details
+ echo about anonymous CVS access. Exiting now....
+
+ exit 1
+
+fi
+
+VERSION=`grep SAMBA_VERSION_OFFICIAL_STRING source/include/version.h | cut -d\" -f2 | sed 's/ /_/g'`
+TARBALLDIR=/tmp/samba-$VERSION
+
+echo Creating the tarball source directory in $TARBALLDIR
+
+/bin/rm -rf $TARBALLDIR
+/bin/rm -f samba-$VERSION.tar
+
+mkdir $TARBALLDIR
+rsync -aC ./ $TARBALLDIR
+rsync -aC $USING_SAMBA $TARBALLDIR/docs/htmldocs/
+
+echo Creating packaging scripts...
+( cd $TARBALLDIR/packaging; sh bin/update-pkginfo $VERSION 1 )
+
+echo Making tarball samba-$VERSION.tar in current directory...
+( cd `dirname $TARBALLDIR`; tar cf $SRCDIR/samba-$VERSION.tar samba-$VERSION )